net.sf.jasperreports.engine.query

## Class JRJdbcQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
  - - net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory

      public class JRJdbcQueryExecuterFactory
      extends AbstractQueryExecuterFactory

  Query executer factory for SQL queries.

  This factory creates JDBC query executers for SQL queries.
  Version:
    $Id: JRJdbcQueryExecuterFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRJdbcQueryExecuter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CACHED_ROWSET` Flag property specifying if data will be stored in a cached rowset.
    `static java.lang.String` | `PROPERTY_JDBC_CONCURRENCY` Property specifying the ResultSet concurrency.
    `static java.lang.String` | `PROPERTY_JDBC_FETCH_SIZE` Property specifying the ResultSet fetch size.
    `static java.lang.String` | `PROPERTY_JDBC_HOLDABILITY` Property specifying the ResultSet holdability.
    `static java.lang.String` | `PROPERTY_JDBC_MAX_FIELD_SIZE` Property specifying the statement max field size.
    `static java.lang.String` | `PROPERTY_JDBC_RESULT_SET_TYPE` Property specifying the ResultSet type.
    `static java.lang.String` | `PROPERTY_TIME_ZONE` Property specifying the default time zone to be used for sending and retrieving date/time values to and from the database.
    `static java.lang.String` | `QUERY_LANGUAGE_SQL` SQL query language.

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRJdbcQueryExecuterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Creates a query executer.
    `java.lang.Object[]` | `getBuiltinParameters()` Returns the built-in parameters associated with this query type.
    `boolean` | `supportsQueryParameterType(java.lang.String className)` Decides whether the query executers created by this factory support a query parameter type.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory

      `createQueryExecuter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_JDBC_FETCH_SIZE

          public static final java.lang.String PROPERTY_JDBC_FETCH_SIZE

      Property specifying the ResultSet fetch size.
      See Also:
        Constant Field Values

    - #### PROPERTY_JDBC_RESULT_SET_TYPE

          public static final java.lang.String PROPERTY_JDBC_RESULT_SET_TYPE

      Property specifying the ResultSet type.
      See Also:
        Constant Field Values

    - #### PROPERTY_JDBC_CONCURRENCY

          public static final java.lang.String PROPERTY_JDBC_CONCURRENCY

      Property specifying the ResultSet concurrency.
      See Also:
        Constant Field Values

    - #### PROPERTY_JDBC_HOLDABILITY

          public static final java.lang.String PROPERTY_JDBC_HOLDABILITY

      Property specifying the ResultSet holdability.
      See Also:
        Constant Field Values

    - #### PROPERTY_JDBC_MAX_FIELD_SIZE

          public static final java.lang.String PROPERTY_JDBC_MAX_FIELD_SIZE

      Property specifying the statement max field size.
      See Also:
        Constant Field Values

    - #### PROPERTY_CACHED_ROWSET

          public static final java.lang.String PROPERTY_CACHED_ROWSET

      Flag property specifying if data will be stored in a cached rowset.
      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_ZONE

          public static final java.lang.String PROPERTY_TIME_ZONE

      Property specifying the default time zone to be used for sending and retrieving date/time values to and from the database. In most cases no explicit time zone conversion would be required, and this property should not be set.

      The property can be set globally, at dataset level, at parameter and field levels, and as a report/dataset parameter. Note that sending a value as parameter will override all properties, and the time zone will be used for all date/time parameters and fields in the report.

      See Also:
        `JRResultSetDataSource.setTimeZone(java.util.TimeZone, boolean)`, Constant Field Values

    - #### QUERY_LANGUAGE_SQL

          public static final java.lang.String QUERY_LANGUAGE_SQL

      SQL query language.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRJdbcQueryExecuterFactory

          public JRJdbcQueryExecuterFactory()

  - ### Method Detail

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext,
                                            JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Description copied from interface: `QueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

    - #### getBuiltinParameters

          public java.lang.Object[] getBuiltinParameters()

      Description copied from interface: `QueryExecuterFactory`
      Returns the built-in parameters associated with this query type.

      These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

      The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).
      Returns:
        array of built-in parameter names and types associated with this query type

    - #### supportsQueryParameterType

          public boolean supportsQueryParameterType(java.lang.String className)

      Description copied from interface: `QueryExecuterFactory`
      Decides whether the query executers created by this factory support a query parameter type.

      This check is performed for all $P{..} parameters in the query.
      Parameters:
        `className` - the value class name of the parameter
      Returns:
        whether the parameter value type is supported

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com